<template>
  <div class="eContainer">
    <el-form :model="model" :rules="rules" ref="modelForm" label-width="150px" label-position="right" size="small" :validate-on-rule-change="false">
       <c-tabs v-model="tabVal" ref="elment" type="card" @tab-click="tabClick">
                   <!--litsel PD000058 Menu -->
           <el-tab-pane label="Menu" name="sel">
            <c-content>
                <m-sel :model="model" :codes="codes"/>
            </c-content>
           </el-tab-pane>
            <!--cfgfil PD000002  -->
           <!-- <el-tab-pane :label="$t('cfgfil.PD000002')" name="regp">
                <m-regp :model="model" :codes="codes"/>
           </el-tab-pane> -->
            <!--syswrn PD000005 Warnings -->
           <!-- <el-tab-pane :label="$t('syswrn.PD000005')" name="syswrndisplay">
                <m-syswrndisplay :model="model" :codes="codes"/>
           </el-tab-pane> -->

       </c-tabs>
    </el-form>
    <c-grid-ety-prompt-dialog
        ref="etyDialog"
        :promptData="promptData"
        v-on:select-ety="selectEty"
      >
      </c-grid-ety-prompt-dialog>
  </div>
</template>
<script>
import Api from "~/service/Api"
import CodeTable from "~/config/CodeTable"
import Litsel from "~/model/Litsel"
import commonProcess from "~/mixin/commonProcess"
import Check from "~/model/Litsel/Check"
import Default from "~/model/Litsel/Default"
import Pattern from "~/model/Litsel/Pattern"
import Sel from "./Sel"
import Regp from "./Regp"
import Syswrndisplay from "./Syswrndisplay"


export default {
    name: "Litsel",
    components:{
        "m-sel" : Sel,
        "m-regp" : Regp,
        "m-syswrndisplay" : Syswrndisplay,
    },
    provide() {
        return {
            root: this
        }
    },
    mixins: [commonProcess],    // 里面包含了Default、Check等的公共处理
    data(){
        return {
            tabVal: "sel",
            trnName: "litsel",
            trnType: "",
            model: new Litsel().data,
            checkRules: Check,
            defaultRules: Default,
            pattern: Pattern,
            rules: null,
            codes: {...CodeTable
            },
        }
    },
    methods:{
        tabClick(tab){
            this.tabClick(tab)
            /**
            *  do it yourself
            **/
        }
    },
    created:async function(){
        console.log("进入litsel交易");
        let rtnmsg = await this.init({})
        if(rtnmsg.respCode == SUCCESS)
        {
           this.updateModel(rtnmsg.data)
           //TODO 处理数据逻辑

        }
        else
        {
            this.$notify.error({title: '错误',message: '服务请求失败！'});
        }
    }
}
</script>
<style>

</style>
